Contents

# GoTo Statement

Continues program execution within a Sub or Function at the procedure line indicated by a label.

## Syntax:

    GoTo label[:]

## Parameters:

label: A line identifier indicating where to continue execution. The scope of a label is that of the routine it belongs to.

Use the GoTo statement to instruct LibreOfficeDev Basic to continue program execution at another place within the procedure. The position must be indicated by a label. To set a label, assign a name, and end it with a colon (":").

You cannot use the GoTo statement to jump out of a Sub or Function.

## Example:

        Sub/Function
           ' statement block
           GoTo Label1
        Label2:
           ' statement block
           Exit Sub/Function
        Label1:
           ' statement block
           GoTo Label2
        End Sub/Function

Related Topics

GoSub...Return Statement

On...GoSub Statement; On...GoTo Statement